package eu.teraflow.policy;

import eu.teraflow.policy.model.PolicyRule;
import eu.teraflow.policy.model.PolicyRuleState;
import io.smallrye.mutiny.Uni;
import javax.enterprise.context.ApplicationScoped;
import org.jboss.logging.Logger;

@ApplicationScoped
public class PolicyServiceImpl implements PolicyService {

    private static final Logger LOGGER = Logger.getLogger(PolicyServiceImpl.class);

    public Uni<PolicyRuleState> addPolicy(PolicyRule policyRule) {

        return null;
    }
}
